# Update iBGP mesh

Once a new router is added to the network, it must become reachable by all 
other devices. To achieve this, the `update_ibgp_mesh` workflow must be 
executed. This workflow will add the new P router to all PE routers in the 
network, and add all existing PE routers to the new P router. The only input 
this workflow takes, is a trouble ticket number. All other required 
information is already in the service database.

The workflow will run 5 Ansible playbooks:

1. Check: add P router to all PE routers
2. Deploy: add P router to all PE routers
3. Check: add all PE routers to P router
4. Deploy: add all PE routers to P router
5. Verify: check that the iBGP has come up

Once these playbooks have been run successfully, the new P router is added 
to LibreNMS. Finally, the subscription model of the router is updated such that
`router_access_via_ts` is set to `False`. This is because the router is now 
reachable by other machines by its loopback address. Using out of band access is
therefore not needed anymore.
